Rated 3 out of 5 stars

We need suport in FF5 !!!

This review is for a previous version of the add-on (4.0.0.144406).